Package com.sap.ai.sdk.core.model

# Class RTADeploymentDetails

java.lang.Object
com.sap.ai.sdk.core.model.RTADeploymentDetails

public class RTADeploymentDetails extends Object
RTADeploymentDetails

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `RTADeploymentDetails()`
  Default constructor for RTADeploymentDetails.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RTADeploymentDetails`
  `create()`
  Create a new `RTADeploymentDetails` instance.
  `boolean`
  `equals(Object o)`
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `RTADeploymentDetails`.
  `RTABackendDetails`
  `getResources()`
  Get resources
  `RTABackendDetails`
  `getScaling()`
  Get scaling
  `int`
  `hashCode()`
  `RTADeploymentDetails`
  `resources(RTABackendDetails resources)`
  Set the resources of this `RTADeploymentDetails` instance and return the same instance.
  `RTADeploymentDetails`
  `scaling(RTABackendDetails scaling)`
  Set the scaling of this `RTADeploymentDetails` instance and return the same instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `RTADeploymentDetails` instance.
  `void`
  `setResources(RTABackendDetails resources)`
  Set the resources of this `RTADeploymentDetails` instance.
  `void`
  `setScaling(RTABackendDetails scaling)`
  Set the scaling of this `RTADeploymentDetails` instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `RTADeploymentDetails` instance including unrecognized properties.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RTADeploymentDetails

    protected RTADeploymentDetails()
    Default constructor for RTADeploymentDetails.

- ## Method Details

  - ### scaling

    @Nonnull public RTADeploymentDetails scaling(@Nullable RTABackendDetails scaling)
    Set the scaling of this `RTADeploymentDetails` instance and return the same instance.
    Parameters:
      `scaling` - The scaling of this `RTADeploymentDetails`
    Returns:
      The same instance of this `RTADeploymentDetails` class

  - ### getScaling

    @Nonnull public RTABackendDetails getScaling()
    Get scaling
    Returns:
      scaling The scaling of this `RTADeploymentDetails` instance.

  - ### setScaling

    public void setScaling(@Nullable RTABackendDetails scaling)
    Set the scaling of this `RTADeploymentDetails` instance.
    Parameters:
      `scaling` - The scaling of this `RTADeploymentDetails`

  - ### resources

    @Nonnull public RTADeploymentDetails resources(@Nullable RTABackendDetails resources)
    Set the resources of this `RTADeploymentDetails` instance and return the same instance.
    Parameters:
      `resources` - The resources of this `RTADeploymentDetails`
    Returns:
      The same instance of this `RTADeploymentDetails` class

  - ### getResources

    @Nonnull public RTABackendDetails getResources()
    Get resources
    Returns:
      resources The resources of this `RTADeploymentDetails` instance.

  - ### setResources

    public void setResources(@Nullable RTABackendDetails resources)
    Set the resources of this `RTADeploymentDetails` instance.
    Parameters:
      `resources` - The resources of this `RTADeploymentDetails`

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `RTADeploymentDetails`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `RTADeploymentDetails` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `RTADeploymentDetails` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `RTADeploymentDetails` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static RTADeploymentDetails create()
    Create a new `RTADeploymentDetails` instance. No arguments are required.